2018-07-06 1592次浏览

我们很高兴的宣布 Yii Framework 1.1.20 版本发布了。可以通过 yiiframework.com/download/ 来下载。

此版本是 Yii 1.1 的版本 它已经达到了维护的模式 和意愿,只接收必要的安全修复和调整与 PHP 7兼容的代码的修复,如果它们不会引起破坏性的更改。这允许您在旧的 YII 1.1 应用程序托管的环境下保持服务器 PHP 版本,并保持在PHP团队支持的版本范围内。Yii 1.1.20 完全兼容 PHP 7.2 ,自本次发布到 2020 年 11 月 30 日 是有安全保障的。

我们建议在新的项目中使用 Yii 2.0,此外在现有的 Yii 1.1 应用程序中引入 Yii 2.0 来开发新功能,正如 Yii 2 guide 中所述。将整个应用程序升级到 Yii 2.0,在大多数情况下,该选项提供了一种逐步升级的方式,并允许您即使在低预算的情况下也能保持旧的应用程序。

此版本包括几个 PHP 7 兼容性修复和安全性改进。

此版本更新的完整列表,请参阅 change log。升级时请务必阅读 升级说明,即使在此版本中没有需要更改的。

我们对 所有的贡献者 表示感谢,他们花费了宝贵的时间来帮助改善 Yii ,并且帮助本版本的发布。

如果想评论本新闻,你可以按照 该论坛的相关帖子来操作。